/*
 * Code for class WEL_HT_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F155_3913(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3914(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3915(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3916(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3917(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3918(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3919(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3920(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3921(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3922(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3923(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3924(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3925(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3926(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3927(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3928(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3929(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3930(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3931(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3932(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3933(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3934(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3935(EIF_REFERENCE);
extern EIF_TYPED_VALUE F155_3936(EIF_REFERENCE);
extern void EIF_Minit155(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_HT_CONSTANTS}.hterror */
EIF_TYPED_VALUE F155_3913 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) -2L);
	return r;
}

/* {WEL_HT_CONSTANTS}.httransparent */
EIF_TYPED_VALUE F155_3914 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) -1L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htnowhere */
EIF_TYPED_VALUE F155_3915 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htclient */
EIF_TYPED_VALUE F155_3916 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htcaption */
EIF_TYPED_VALUE F155_3917 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htsysmenu */
EIF_TYPED_VALUE F155_3918 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htsize */
EIF_TYPED_VALUE F155_3919 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htmenu */
EIF_TYPED_VALUE F155_3920 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_HT_CONSTANTS}.hthscroll */
EIF_TYPED_VALUE F155_3921 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htvscroll */
EIF_TYPED_VALUE F155_3922 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htminbutton */
EIF_TYPED_VALUE F155_3923 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htmaxbutton */
EIF_TYPED_VALUE F155_3924 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htleft */
EIF_TYPED_VALUE F155_3925 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 10L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htright */
EIF_TYPED_VALUE F155_3926 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 11L);
	return r;
}

/* {WEL_HT_CONSTANTS}.httop */
EIF_TYPED_VALUE F155_3927 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12L);
	return r;
}

/* {WEL_HT_CONSTANTS}.httopleft */
EIF_TYPED_VALUE F155_3928 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13L);
	return r;
}

/* {WEL_HT_CONSTANTS}.httopright */
EIF_TYPED_VALUE F155_3929 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 14L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htbottom */
EIF_TYPED_VALUE F155_3930 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htbottomleft */
EIF_TYPED_VALUE F155_3931 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htbottomright */
EIF_TYPED_VALUE F155_3932 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 17L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htborder */
EIF_TYPED_VALUE F155_3933 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 18L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htgrowbox */
EIF_TYPED_VALUE F155_3934 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htreduce */
EIF_TYPED_VALUE F155_3935 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_HT_CONSTANTS}.htzoom */
EIF_TYPED_VALUE F155_3936 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

void EIF_Minit155 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
